Skip to main content
`Ctrl`+`K`

# EPSEVSLDamping

The damping type used in the `EPSEVSL` solver.

## Synopsis

    typedef enum { EPS_EVSL_DAMPING_NONE,
                   EPS_EVSL_DAMPING_JACKSON,
                   EPS_EVSL_DAMPING_SIGMA } EPSEVSLDamping;

## Values

- `EPS_EVSL_DAMPING_NONE` - no damping

- `EPS_EVSL_DAMPING_JACKSON` - Jackson damping

- `EPS_EVSL_DAMPING_SIGMA` - Lanczos damping

## Note

See the documentation of EVSL [Li et al., 2019] for an explanation.

## References

[Li19]

R. Li, Y. Xi, L. Erlandson, and Y. Saad. The eigenvalues slicing library (EVSL): algorithms, implementation, and software. SIAM J. Sci. Comput., 41(4):C393–C415, 2019. doi:10.1137/18M1170935.

## See Also

EPS: Eigenvalue Problem Solver, `EPSEVSLSetDOSParameters()`, `EPSEVSLGetDOSParameters()`

## Level

advanced

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages